/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package FunctionLayer;

import FunctionLayer.StanfordParser.SentimentValueCache;

/**
 *
 * @author install1
 */
public class SimilarityMatrix {

    private String PrimaryString;
    private String SecondaryString;
    private double distance;
    private SentimentValueCache cacheValue1;
    private SentimentValueCache cacheValue2;

    public final double getDistance() {
        return distance;
    }

    public final void setDistance(double distance) {
        this.distance = distance;
    }

    public SimilarityMatrix(String str1, String str2) {
        this.PrimaryString = str1;
        this.SecondaryString = str2;
    }

    public SimilarityMatrix(String str1, String str2, double result) {
        this.PrimaryString = str1;
        this.SecondaryString = str2;
        this.distance = result;
    }

    public final String getPrimaryString() {
        return PrimaryString;
    }

    public final void setPrimaryString(String PrimaryString) {
        this.PrimaryString = PrimaryString;
    }

    public final String getSecondaryString() {
        return SecondaryString;
    }

    public final void setSecondaryString(String SecondaryString) {
        this.SecondaryString = SecondaryString;
    }

    public final SentimentValueCache getCacheValue1() {
        return cacheValue1;
    }

    public final void setCacheValue1(SentimentValueCache cacheValue1) {
        this.cacheValue1 = cacheValue1;
    }

    public final SentimentValueCache getCacheValue2() {
        return cacheValue2;
    }

    public final void setCacheValue2(SentimentValueCache cacheValue2) {
        this.cacheValue2 = cacheValue2;
    }

}
